# Generated from defmastership-1.0.16.gem by gem2rpm -*- rpm-spec -*-
%global gem_name defmastership

Name: rubygem-%{gem_name}
Version: 1.0.16
Release: 1%{?dist}
Summary: Handling of references and definitions with asciidoctor
License: MIT
URL: https://gitlab.com/jjag/defmastership/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(aruba) >= 1
# BuildRequires: rubygem(aruba) < 2
# BuildRequires: rubygem(rspec) >= 3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) = 1.13
# BuildRequires: rubygem(rubocop-rake) >= 0.5
# BuildRequires: rubygem(rubocop-rake) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 2.0
# BuildRequires: rubygem(rubocop-rspec) < 3
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Handling of references and definitions with asciidoctor.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/defmastership
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/defmastership.gemspec
%doc %{gem_instdir}/defmastership.rdoc
%{gem_instdir}/features
%{gem_instdir}/spec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.16-1
- Initial package
